<?php
	error_reporting(E_ALL);

	require('XRPC_Server.php');

	function test_xmlrpc_multiply($first_number, $second_number)
	{
		return $first_number * $second_number;
	}
	
	function test_xmlrpc_date_test()
	{
		return '1997-07-16T19:20:30Z';
	}
	
	/**
	 * Returns a test value containing an indexed array.
	 **/
	
	function test_xmlrpc_array()
	{
		return array('a', 'b', array('cc' => 'ccc'), array('aaa, bbb, ccc'));
	}

	function test_xmlrpc_assoc()
	{
		return array('a' => 'aa', 'b' => 'bb', 'c' => array('aaa', 'bbb', 'ccc'), 'd' => array('dd' => 'ddd'));
	}


	$server = new XRPC_Server(array(
		'multiply' => 'test_xmlrpc_multiply',
		'dateTest' => 'test_xmlrpc_date_test',
		'assoc' => 'test_xmlrpc_assoc',
		'array' => 'test_xmlrpc_array',
	));
	
	$server->detectDateTime = true;

	$server->handleRequest();
?>
